package com.miaxis.activities.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * 活动-天猫订单对象 activities_tmall
 *
 * @author miaxis
 * @date 2021-06-29
 */
@Data
@TableName("activities_tmall")
@ApiModel(value = "ActivitiesTmall", description = "活动-天猫订单对象 activities_tmall")
public class ActivitiesTmall extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id")
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 天猫订单号 */
    @Excel(name = "天猫订单号")
    @TableField("tmall_no")
    @ApiModelProperty(value = "天猫订单号")
    private String tmallNo;

    /** 是否被兑换过  0-未兑换 1-已兑换 */
    @Excel(name = "是否被兑换过  0-未兑换 1-已兑换")
    @TableField("is_exchange")
    @ApiModelProperty(value = "是否被兑换过  0-未兑换 1-已兑换")
    private Integer isExchange;

    /** 兑换时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "兑换时间", width = 30, dateFormat = "yyyy-MM-dd")
    @TableField("exchange_time")
    @ApiModelProperty(value = "兑换时间")
    private Date exchangeTime;

    /** 活动类型 1-话费充值 */
    @Excel(name = "活动类型 1-话费充值")
    @TableField("activities_type")
    @ApiModelProperty(value = "活动类型 1-话费充值")
    private Integer activitiesType;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setTmallNo(String tmallNo){
        this.tmallNo = tmallNo;
    }

    public String getTmallNo(){
        return tmallNo;
    }
    public void setIsExchange(Integer isExchange){
        this.isExchange = isExchange;
    }

    public Integer getIsExchange(){
        return isExchange;
    }
    public void setExchangeTime(Date exchangeTime){
        this.exchangeTime = exchangeTime;
    }

    public Date getExchangeTime(){
        return exchangeTime;
    }
    public void setActivitiesType(Integer activitiesType){
        this.activitiesType = activitiesType;
    }

    public Integer getActivitiesType(){
        return activitiesType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tmallNo", getTmallNo())
            .append("isExchange", getIsExchange())
            .append("exchangeTime", getExchangeTime())
            .append("activitiesType", getActivitiesType())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
